org.vishia.gral.base

## Class GralPanelContent.ImplAccess

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralPanelContent.ImplAccess

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    GralTabbedPanel.ImplAccess, GralWindow.GraphicImplAccess, SwtPanel
  Enclosing class:
    GralPanelContent

      public abstract static class GralPanelContent.ImplAccess
      extends GralWidget.ImplAccess

- - ### Field Summary

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ImplAccess(GralPanelContent widgg)` Same reference as `GralWidget.ImplAccess.widgg` but type of this class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract GralRectangle` | `getPixelPositionSize()` Returns the absolute position of this panel on screen and its size.
    `abstract GralRectangle` | `getPixelSize()` Returns the size of this panel in pixel.
    `GralPanelContent` | `gralPanel()`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Constructor Detail

    - #### ImplAccess

          protected ImplAccess(GralPanelContent widgg)

      Same reference as `GralWidget.ImplAccess.widgg` but type of this class.

  - ### Method Detail

    - #### gralPanel

          public GralPanelContent gralPanel()

    - #### getPixelPositionSize

          public abstract GralRectangle getPixelPositionSize()

      Returns the absolute position of this panel on screen and its size. If it is a main window, the useable area of the window without title and menu bar is returned.
      Returns:

    - #### getPixelSize

          public abstract GralRectangle getPixelSize()

      Returns the size of this panel in pixel.
      Returns:
        the x and y is 0, the dy and dy is the size.